from flask import current_app, jsonify, request
from apps.models import *
from apps.models import ProjectManagement
from apps.utils.response_code import RET
from apps.big_data import api_bigdata


# 项目管理---项目列表
"""项目总览"""


@api_bigdata.route("/GetJjzb", methods=["GET"])  # 项目跟踪
def get_jjzb():
    try:
        obj_li = City.query.all()
        data = [{
            "id": obj.id,
            "area": obj.area,
            "size": obj.size,
            "year": obj.year,
            "people": obj.people,
            "GDP": obj.GDP,
            "addscale": obj.addscale,
            "investment": obj.investment,
            "retail": obj.retail,
            "in_out": obj.in_out,
            "public": obj.public,
            "people_out": obj.people_out,
            "people_per": obj.people_per,
            "public_in": obj.public_in,
            "info": obj.info,
            "question": obj.question,
            "flag": obj.flag
        } for obj in obj_li]
        return jsonify(code=RET.OK, data=data, msg="查询成功！")
    except Exception as e:
        current_app.logger.error(e)
        return jsonify(code=RET.DBERR, msg="查询出错！")
